MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

Clean Install RPi3 Rasp Buster fails at Electron install over and over and over



  • The fail states it was looking for OS: Darwin when it wanted OS: Linux. At this point after 10-12 attempts I am wondering if the installation scripts are hacked, since Darwin is/was a version of Linux run on early Apple hardware pre-2012… I am following the instructions to the letter, as far as I can tell. What could I be doing wrong to make the installation of Electron seek Darwin instead of Linux? I’ve tried googling and installing Electron manually and am getting a similar result. NodeJs version is 10, which is recommended by the installer but which throws an error during install.



  • @clingonkelt have you tried my install scripts, which handle darwin and linux

    see the links here
    https://github.com/sdetweil/MagicMirror_scripts



  • I have not. I will certainly do so when I pick this project back up next week sometime. Thanks for the reply, and I’ll let you know.


Log in to reply